# Uses of Class
org.apache.wiki.workflow.Fact

Packages that use Fact
Package
Description
org.apache.wiki.workflow

## Uses of Fact in org.apache.wiki.workflow

Methods in org.apache.wiki.workflow that return types with arguments of type Fact
Modifier and Type
Method
Description
`final List<Fact>`
Decision.`getFacts()`
Returns the Facts associated with this Decision, in the order in which they were added.
Methods in org.apache.wiki.workflow with parameters of type Fact
Modifier and Type
Method
Description
`final void`
Decision.`addFact(Fact fact)`
Appends a Fact to the list of Facts associated with this Decision.
`Workflow`
WorkflowBuilder.`buildApprovalWorkflow(Principal submitter, String workflowApproverKey, Step prepTask, String decisionKey, Fact[] facts, Step completionTask, String rejectedMessageKey)`
Builds an approval workflow that requests approval from a named user, `Group` or `Role` before running a Task.